Subject: Re: [PATCH net] xen-netback: clear vif->task on disconnect

From: Sergei Shtylyov <[email-masked]>
Date: Tue, 03 Dec 2013 16:23:30 +0400

Hello.

On 03-12-2013 13:53, Paul Durrant wrote:

> xenvif_start_xmit() relies on checking vif->task for NULL to determine
> whether the vif is ready to accept packets. The task thread is stopped in
> xenvif_disconnect() but task is not set to NULL. Thus, on a re-connect the
> check will give a false positive.
> Also since commit ea732dff5cfa10789007bf4a5b935388a0bb2a8f it should not

    Please also specify that commit's summary line in parens.

> be possible for xenvif_connect() to be called if the vif is already connected
> so change the check of vif->tx_irq to a BUG_ON() and also add a
> BUG_ON(vif->task).

> Signed-off-by: Paul Durrant <[email-masked]>
> Cc: Wei Liu <[email-masked]>
> Cc: Ian Campbell <[email-masked]>
> Cc: David Vrabel <[email-masked]>

WBR, Sergei